Update Clarity Process Link
curl --request PATCH \
--url https://api.duvo.ai/v2/organizations/{orgId}/clarity/hierarchy/process-links/{process_link_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"source_node_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_node_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"confidence": 0.5
}
'import requests
url = "https://api.duvo.ai/v2/organizations/{orgId}/clarity/hierarchy/process-links/{process_link_id}"
payload = {
"source_node_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_node_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"confidence": 0.5
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
source_node_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
target_node_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
confidence: 0.5
})
};
fetch('https://api.duvo.ai/v2/organizations/{orgId}/clarity/hierarchy/process-links/{process_link_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"process_link": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_node_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_node_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"confidence": 0.5,
"rationale": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
},
"created": true
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Clarity
Update Clarity Process Link
Update a process-to-process link in the organization’s Clarity landscape when the caller can manage both endpoint teams.
PATCH
/
v2
/
organizations
/
{orgId}
/
clarity
/
hierarchy
/
process-links
/
{process_link_id}
Update Clarity Process Link
Authorizations
API key authentication. Get your API key from the Duvo dashboard.
Path Parameters
Unique process-link identifier
Body
application/json
Replacement hierarchy node id for the source process
Replacement hierarchy node id for the target process
Relationship type between the source process node and target process node
Available options:
hands_off_to, shares_step_with, variant_of Whether the link is suggested by Duvo or confirmed by a user
Available options:
suggested, confirmed Confidence score from 0 to 1, or null to clear it
Required range:
0 <= x <= 1Was this page helpful?
⌘I